% Decompose textures in image with spectral TV

Max_time = 2; dt = 0.25;
%Max_time = 1; dt = 0.02;  % small scale
%Max_time = 10; dt = 0.25;  % large scale

Method.Num_method = 'proj'; % currently single method
Method.dt_proj = 0.2;
Method.iter_proj = 500;  % standard accuracy
%Method.iter_proj = 5000;  % very accurate


f = imread('Orange.jpg');    f = f(40:300,60:330,:);   
f = double(f)/255;

scale = 5;
f = f*scale;
M = max(f(:));
figure(1); imshow(f/scale)

[S,T,Phi,f_r] = ss_freq_tv_evolve_color(f, Max_time, dt, Method);  % evolve image


% filter
H = zeros(size(T));
H(:)=1; % all pass
H(2:3)=0;  % orange, less course texture
%H(2:5)=1.5;   % orange, more course texture


f_H = ss_freq_tv_filter_color( Phi, H, f_r );

figure(6); plot(T,S,'b',T,H*max(S),'r');


figure(3); 
imshow(f_H/scale);
title('f_H')
figure(4); 
imshow(f_r/scale); title('f_r')

% Show phi bands
Ind = 1:8; % basic
%Ind = [1:5 10 15 20 30 40]; % large scale
RbyC = [2 4]; % basic
%RbyC = [2 5]; % large scale
fignum =30;
Rescale = 1;
%mul = 1.7;
mul = -1;  % normalize contrast 1.
offset = 0.7;
Mask=ones(size(Phi,1),size(Phi,2),size(Phi,3)); % no mask
I = ss_freq_tv_show_color_phi( Phi,Ind, RbyC, fignum, Rescale,Mask,[mul offset]);


